<template>
	<view>
		<view class="white">
			<view class="menu">
				<view class="menuItem" @tap="runningState">
					<view class="all">
						<image class="image" src="../../../static/设备菜单/运行状态@2x.png"></image>

						<view class="text">
							<text class="big">运行状态</text>
							<text class="small">Running state</text>
						</view>
					</view>
				</view>
				<view class="menuItem" @tap="dataCurve">
					<view class="all">
						<image class="image" src="../../../static/设备菜单/数据曲线@2x.png"></image>

						<view class="text">
							<text class="big">数据曲线</text>
							<text class="small">Data curve</text>
						</view>
					</view>
				</view>
				<view class="menuItem" @tap="parameterSetting">
					<view class="all">
						<image class="image" src="../../../static/设备菜单/参数设置@2x.png"></image>

						<view class="text">
							<text class="big">参数设置</text>
							<text class="small">Parameter setting</text>
						</view>
					</view>
				</view>
				<view class="menuItem" @tap="systemParameter">
					<view class="all">
						<image class="image" src="../../../static/设备菜单/系统参数@2x.png"></image>

						<view class="text">
							<text class="big">系统参数</text>
							<text class="small">System parameter</text>
						</view>
					</view>
				</view>
				<view class="menuItem" @tap="alarmRecord">
					<view class="all">
						<image class="image" src="../../../static/设备菜单/报警记录@2x.png"></image>

						<view class="text">
							<text class="big">报警记录</text>
							<text class="small">Alarm record</text>
						</view>
					</view>
				</view>
				<view class="menuItem" @tap="maintenanceRecord">
					<view class="all">
						<image class="image" src="../../../static/设备菜单/维保记录@2x.png"></image>

						<view class="text">
							<text class="big">维保记录</text>
							<text class="small">Maintenance record</text>
						</view>
					</view>
				</view>
			</view>

		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				code: '',
			}
		},
		onLoad(e) {
			console.log(e);

		},
		methods: {

			parameterSetting(e) {
				let vm = this;
				var code = this.code.code
				console.log(code);

				uni.navigateTo({
					url: '/pages/parameterSetting/parameterSetting',
				});
			},

			systemParameter() {
				uni.navigateTo({
					url: '/pages/systemParameter/systemParameter',
				});
			},

			alarmRecord() {
				uni.navigateTo({
					url: '/pages/alarmRecord/alarmRecord',
				});
			},
			maintenanceRecord() {
				uni.navigateTo({
					url: '/pages/maintenanceRecord/maintenanceRecord',
				});
			},
			dataCurve() {
				uni.navigateTo({
					url: '/pages/dataCurve/dataCurve',
				});
			},
			runningState() {
				let vm = this;
				var code = this.code.code
				console.log(code);

				uni.navigateTo({
					url: '/pages/runningState/runningState',
				});
			}
		}
	}
</script>

<style>
	.all {
		display: flex;
		flex-direction: row;
		align-items: center;
	}

	.image {
		width: 68rpx;
		height: 68rpx;
		margin-left: 24rpx;
	}

	.text {
		display: flex;
		flex-direction: column;
		margin-left: 24rpx;
		line-height: 32rpx;
	}

	.big {
		font-size: 30rpx;
	}

	.small {
		font-size: 20rpx;
		color: #848586;
	}

	.white {
		height: 1316rpx;
		width: 702rpx;
		margin-top: 26rpx;
		margin-left: 24rpx;
		margin-right: 24rpx;
		background-color: white;
		border-radius: 10rpx;
	}

	.menuItem {
		margin-left: 24rpx;
		margin-top: 24rpx;
		display: flex;
		width: 319rpx;
		height: 160rpx;
		background-color: #f0f0f0;
		border-radius: 10rpx;
	}

	.menu {
		display: flex;
		flex-wrap: wrap;
	}
</style>
